%define         pcbver 20070208

Name:           pcb
Version:        0.%{pcbver}
Release:        3%{?dist}

Summary:        An interactive printed circuit board editor
License:        GPLv2
Group:          Applications/Engineering
URL:            http://pcb.sourceforge.net

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  tcl, bison, flex, gawk, ImageMagick, gtk2-devel, gd-devel, fontconfig-devel
BuildRequires:  cups, tetex-latex, libICE-devel, desktop-file-utils

Requires:       m4
Source0:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{pcbver}p1.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png

Obsoletes:      pcb-doc

Requires(post): /sbin/install-info
Requires(preun):/sbin/install-info


%description
PCB is an interactive printed circuit board editor for the X window system.
PCB includes a rats nest feature, design rule checking, and can provide
industry standard RS-274-X (Gerber), NC drill, and centroid data (X-Y data)
output for use in the board fabrication and assembly process. PCB offers
high end features such as an autorouter and trace optimizer which can
tremendously reduce layout time.


%prep
%setup -q -n %{name}-%{pcbver}p1

%{__sed} -i -e \
   's|pkgdatadir = $(datadir)/@PACKAGE@|pkgdatadir = %{_datadir}/%{name}/tutorial|' \
   doc/Makefile.in


%build
WISH=/usr/bin/wish
export WISH

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --bindir=%{_bindir} \
    --datadir=%{_datadir} --includedir=%{_includedir}                       \
    --libdir=%{_libdir} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir}     \
    --infodir=%{_infodir}

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="install -p" install

# in /usr/share/pcb/newlib/ folder, cypress, sockets and toko are empty folders

desktop-file-install --vendor fedora           \
    --add-category Engineering                 \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}

# restructuring for docdir
%{__rm} -rf example/*
%{__mv} %{buildroot}%{_datadir}/%{name}/examples/* example/
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/example/
%{__mv} %{buildroot}%{_datadir}/%{name}/tutorial/tut1.pcb example/

%{__rm} -f tutorial/*
%{__mv} %{buildroot}%{_datadir}/%{name}/tutorial/* tutorial/
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/tutorial/

## --- pcb supports for acpcircuits
# http://www.apcircuits.com/resources/links/pcb_unix.html
unzip tools/apctools.zip
install -p -m 755 apc*.pl  %{buildroot}%{_datadir}/%{name}/tools

# Removes duplicates
%{__rm} -f %{buildroot}%{_datadir}/%{name}/tools/apctools.zip
%{__rm} -f %{buildroot}%{_datadir}/%{name}/tools/{MergePCBPS,Merge_dimPCBPS}

## ---

# Old versions of PCB don't support autoroute, pcb2ncap convert
# pcb format to ncap format used for mucspcb to autoroute the circuit.
# In newer versions of PCB, autoroute is included and pcb2ncap and mucspcb
# are no more needed.
%{__rm} -f %{buildroot}%{_datadir}/%{name}/tools/pcb2ncap.tgz

chmod 755 %{buildroot}%{_datadir}/%{name}/tools/{PCB2HPGL,tgo2pcb.tcl}

%{__rm} -f %{buildroot}%{_infodir}/dir

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%clean
%{__rm} -rf %{buildroot}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%preun
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :


# Ignored warning W: pcb devel-file-in-non-devel-package /usr/share/pcb/tools/gerbertotk.c


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README NEWS ChangeLog
%doc README_FILES/CHANGES README_FILES/Whats_new_in_2.0
%doc example/ tutorial/

%{_datadir}/applications/fedora-%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/MergePCBPS
%{_bindir}/Merge_dimPCBPS
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/%{name}/
%{_infodir}/%{name}*
%{_mandir}/man1/%{name}*


%Changelog
* Fri Aug 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070208-3
- mass rebuild for fedora 8 - ppc

* Thu Jun 21 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070208-2
- fixed docdir

* Fri Feb 09 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070208-1
- New upstream release - 20070208

* Sun Feb 04 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-9
- fixed presence in gnome menu

* Sun Dec 24 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-8
- Removed duplicates

* Fri Dec 22 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-7
- Fixed info files and added to the pcb package #219406
- Fixed man pages (with patch0 to suit fedora packaging of pcb
- Added refcard.pdf in pcb binary package
- Removed duplicated MergePCBPS and Merge_dimPCBPS from pcb binary package
- pcb supports for acpcircuits included

* Fri Sep 15 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-6
- Fixed ownership of %%{_datadir}/%%{name}/ #206405

* Fri Sep 01 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-5
- release for devel

* Fri Sep 01 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-4
- Added m4 as requires: to fix the error msg:
-       can't find default font-symbol-file 'default_font'

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-3
- release for devel

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-2
- release for FC5 and minor fixes

* Fri Aug 25 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060822-1
- updated to 20060822's snapshot

* Wed Jul 11 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060422-4
- pcbver corrected in pcb.desktop

* Sun Jul 09 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.20060422-3
- fixed the icon of pcb

* Sun Jul 09 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060422-2
- fixed E: pcb info-dir-file /usr/share/info/dir
- added /sbin/install-info as requires for %%post and %%preun
- added icon and treated GTK+ icon cache as required

* Thu Jul 06 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20060422-1
- New upstream release 20060422
- Minor fixes to work under mock

* Wed Apr 19 2006 <pjones@redhat.com> - 0.20060414-1
- Let there be pcb packaging.
